%global pypi_name qutepart

Name:           python-%{pypi_name}
Version:        3.3.3
Release:        %mkrel 4
Summary:        Code editor widget for PyQt
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/hlamer/qutepart
Source0:        https://github.com/hlamer/qutepart/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# https://github.com/andreikop/qutepart/issues/96
# Handle PEP623, forced on python3.12
Patch0:         qutepart-3.3.3-pep623.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5-devel

%description
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages
    - Smart indentation for many languages
    - Line numbers
    - Bookmarks
    - Advanced edit operations
    - Matching braces highlighting
    - Autocompletion based on document content
    - Marking too long lines with red line
    - Rectangular selection and copy-paste
    - Linter marks support
    - Vim mode

%package -n python3-%{pypi_name}
Summary:        Code editor widget for PyQt
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3
Requires:	pcre
Requires:	python3-qt5

%description -n python3-%{pypi_name}
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages
    - Smart indentation for many languages
    - Line numbers
    - Bookmarks
    - Advanced edit operations
    - Matching braces highlighting
    - Autocompletion based on document content
    - Marking too long lines with red line
    - Rectangular selection and copy-paste
    - Linter marks support
    - Vim mode

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qutepart

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/qutepart*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.3.3-4.mga10
+ Revision: 2242322
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 3.3.3-3.mga10
+ Revision: 2159925
- rebuild for python3.13

* Fri Feb 23 2024 daviddavid <daviddavid> 3.3.3-2.mga10
+ Revision: 2043745
- workaround for Python 3.12 PEP632 change
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 3.3.3-1.mga9
+ Revision: 1885187
- New version  3.3.3

* Wed Apr 06 2022 umeabot <umeabot> 3.3.2-2.mga9
+ Revision: 1845935
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 3.3.2-1.mga9
+ Revision: 1778457
- version 3.3.2
- rebuild for python-3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 3.3.1-2.mga9
+ Revision: 1710962
- rebuild for python 3.9

* Mon Apr 13 2020 daviddavid <daviddavid> 3.3.1-1.mga8
+ Revision: 1567044
- new version: 3.3.1

* Wed Mar 04 2020 daviddavid <daviddavid> 3.3.0-1.mga8
+ Revision: 1553580
- new version: 3.3.0

* Sun Feb 16 2020 umeabot <umeabot> 3.2.0-4.mga8
+ Revision: 1533383
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 3.2.0-3.mga8
+ Revision: 1438889
- rename src rpm as python-qutepart
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 3.2.0-2.mga7
+ Revision: 1352087
- rebuild with python 3.7

* Sun Dec 02 2018 dglent <dglent> 3.2.0-1.mga7
+ Revision: 1337518
- Version 3.2.0

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1300437
- Mageia 7 Mass Rebuild

* Thu Nov 09 2017 dglent <dglent> 3.0.1-1.mga7
+ Revision: 1176726
- Version 3.0.1

* Sat Aug 05 2017 pterjan <pterjan> 3.0.0-2.mga7
+ Revision: 1135299
- Rebuild for python 3.6

* Wed Apr 20 2016 dglent <dglent> 3.0.0-1.mga6
+ Revision: 1003670
-Import python3 package of qutepart
- Created package structure for python3-qutepart.

